=== debian/changelog ===
kfreebsd-kernel-headers (10.1~5) unstable; urgency=medium

  * Make net/route.h compilable again in userland, by including
    necessary kernel types in sys/counter.h (Closes: #764897)
    - add net_route.c testcase
  * Add sys/seq.h (sequence counters), needed by sys/filedesc.h
    - Raise Build-Depends: kfreebsd-source-10.1 (>> 10.1~svn273199~)

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 12 Oct 2014 01:33:11 +0100

kfreebsd-kernel-headers (10.1~4) unstable; urgency=low

  [ Petr Salinger ]
  * 000_bruno_haible.diff: update of sys/timex.h:
    - do not try to support 14 years old NTP_API 3
    - do not expose declarations for ntp_adjtime, ntp_gettime at all,
      our libc does not implement them

  [ Steven Chamberlain ]
  * Add myself to Uploaders
  * Refresh patch net_if_ioctls.diff

  [ Christoph Egger ]
  * Upload to unstable

 -- Petr Salinger <Petr.Salinger@seznam.cz>  Sat,  4 Oct 2014 17:49:36 +0200

kfreebsd-kernel-headers (10.1~3) experimental; urgency=medium

  [ Steven Chamberlain ]
  * 000_bruno_haible.diff: update sys/timex.h diff from upstream:
    - define ntptimeval as ntptimeval4 (Closes: #756786)
    - add missing extern declarations for ntp_adjtime, ntp_gettime
  * Fix regressions that made libgtop2 FTBFS: (Closes: #762372)
    - Replace __FreeBSD_version with __FreeBSD_kernel_version, as was
      the case before 10.0~1.
    - Add sys/_pctrie.h, needed for sys/vnode.h if _KVM_VNODE is
      defined;  add a testcase vnode.c for this
    - New patch containerof.diff:  revert to using member2struct instead
      of __containerof in sys/fs/devfs/devfs_int.h, since the latter not
      unavailable in GNU libc sys/cdefs.h

 -- Christoph Egger <christoph@debian.org>  Sun, 21 Sep 2014 16:25:26 -0700

kfreebsd-kernel-headers (10.1~2) experimental; urgency=medium

  [ Christoph Egger ]
  * Add more pf headers:
    - netpfil/pf/pf_altq.h
    - netpfil/pf/pf.h
  * Add sys/counter.h

  [ Steven Chamberlain ]
  * Add to machine/atomic.h a definition for macro __compiler_membar
    not available in glibc (Closes: #750836)
  * Add net/if_pflog.h (Closes: #756553)
    - add atomic.c testcase (Romain Francoise)
  * Enable testing for -Wimplicit-function-declaration
  * Refresh patches against kfreebsd-source-10.1 10.1~svn271306-1:
    - 000_bruno_haible.diff
    - 005_register_t.diff
    - 009_inetutils.diff
    - net_if_ioctls.diff
  * Add sys/net/flowtable.h

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 20:40:37 -0700

kfreebsd-kernel-headers (10.1~1) experimental; urgency=medium

  * Update for 10.1
  * Add myself to uploaders
  * Move pf_mtag.h to usr/include/netpfil/pf (new location)

 -- Christoph Egger <christoph@debian.org>  Sun, 31 Aug 2014 12:09:39 -0700

kfreebsd-kernel-headers (10.0~5) unstable; urgency=low

  * Adjust testsuite to libc0.1-dev >= 2.18-2.

 -- Robert Millan <rmh@debian.org>  Sat, 22 Mar 2014 16:19:12 +0100

kfreebsd-kernel-headers (10.0~4) experimental; urgency=low

  * Add <net/if.h>, providing only struct ifaliasreq, struct
    oifaliasreq, struct ifmediareq and struct ifdrv. Add a test for
    collisions with GNU <net/if.h>.

 -- Robert Millan <rmh@debian.org>  Mon, 03 Feb 2014 22:51:51 +0100

kfreebsd-kernel-headers (10.0~3) experimental; urgency=low

  * Expose SIZE_T_MAX, OFF_MAX and OFF_MIN. Add limits.c test to verify.
  * Enable FreeBSD-style net80211 ioctls.
  * Add <net/if_pfsync.h>, <net/pfvar.h>, <net/pf_mtag.h>,
    <sys/capability.h>, <sys/procctl.h>.
  * Remove <sys/sdt.h>. When adding it back, it should be in a separate
    package. (Closes: #726248)
  * Add <sys/diskmbr.h>.
  * Add <sys/sf_buf.h>.

 -- Robert Millan <rmh@debian.org>  Mon, 20 Jan 2014 23:44:42 +0100

kfreebsd-kernel-headers (10.0~2) experimental; urgency=low

  * Expose GID_MAX, UID_MAX, UQUAD_MAX, QUAD_MAX and QUAD_MIN.
  * Add <sys/_rmlock.h> (needed by <sys/pcpu.h>).
  * Remove obsolete (and broken) 011_wine.diff.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 17:30:03 +0100

kfreebsd-kernel-headers (10.0~1) experimental; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Update install list with new internal dependencies.
    - Misc adjustments to sed rules to preserve buildability.
    - Add new tests: assert_wchar_size.c and cpuset.c

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 13:50:33 +0100

kfreebsd-kernel-headers (9.2~6) unstable; urgency=low

  * Rename MAXLOGNAME to __kernel_MAXLOGNAME to avoid collision with
    Glibc (which now sets MAXLOGNAME to a different value).

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 16:20:12 +0100

kfreebsd-kernel-headers (9.2~5) unstable; urgency=low

  [ Guillem Jover ]
  * Remove myself from Uploaders.

  [ Robert Millan ]
  * Add <sys/mac.h>.
  * Add <sys/stdint.h> (as #include stub).
  * Add <sys/signal.h> (in alternate kglue directory), and use it
    internally instead of the userland version.
  * Add <sys/file.h> and verify its buildability and "struct file"
    usability.

 -- Robert Millan <rmh@debian.org>  Sun, 24 Nov 2013 13:38:41 +0100

kfreebsd-kernel-headers (9.2~4) unstable; urgency=low

  * Use stub headers for sys/kern rename instead of symlink.
    (Closes: #725273)

 -- Robert Millan <rmh@debian.org>  Thu, 03 Oct 2013 19:57:08 +0200

kfreebsd-kernel-headers (9.2~3) unstable; urgency=low

  * Remove 026_acpiio.diff (redundant).
  * sys_timex.c: Check <sys/timex.h> buildability.
  * Move <sys/kern> to <sys/kglue/sys> to make its origin clearer and make
    room for <sys/kglue/netinet>, etc.
  * Add <sys/kglue/netinet/if_ether.h> using patch from original port.
  * sys_user.c: Check <sys/user.h> buildability.
  * Simplify asserts using COMPILE_TIME_ASSERT() macro.
  * endian_collision.diff: Fix collisions in endian.h. Verify using
    asserts (test/endian_collision.c).
  * Filter out __used in debian/rules.
  * Install trimmed version of <sys/socket.h> and check for collisions
    in testsuite.

