=== debian/control ===
Source: kfreebsd-kernel-headers
Section: kernel
Priority: standard
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Aurelien Jarno <aurel32@debian.org>,
 Robert Millan <rmh@debian.org>,
 Christoph Egger <christoph@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends:
 debhelper (>= 7),
 quilt,
 kfreebsd-source-10.1 (>> 10.1~svn273304~),
 libc0.1-dev (>= 2.18-2~),
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/kfreebsd-kernel-headers/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
Standards-Version: 3.9.4

Package: kfreebsd-kernel-headers
Architecture: kfreebsd-any
Depends: ${misc:Depends}
Replaces: libc0.1-dev (<= 2.3.6.ds1-8)
Description: kFreeBSD headers for development
 This package provides headers from the kernel of FreeBSD. These headers
 are used by the installed headers for GNU glibc and other system libraries.
