## kfreebsd-kernel-headers 10.3~8

=== test/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 TESTS = \
 	assert_correct_bsize.o \
 	assert_wchar_size.o \
@@ -33,12 +35,13 @@
 	sys_vnode.o \
 	stdarg.o \
 	usb.o \
+	vm.o \
 	vnode.o \
 	$()
 
 #	elf.o
 
-CFLAGS = -I. -I../debian/kfreebsd-kernel-headers/usr/include
+CFLAGS = -I. -I../debian/kfreebsd-kernel-headers/usr/include/$(DEB_HOST_MULTIARCH)
 
 # Enable all the stuff in glibc to probe for collisions
 CFLAGS += -D_GNU_SOURCE -Werror -Wsystem-headers -Wimplicit-function-declaration
