=== debian/changelog ===
kfreebsd-kernel-headers (10.3~8) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Update Vcs-Browser and Vcs-Git fields

  [ James Clarke ]
  * debian/rules: Add multilib symlinks for all items
  * debian/gbp.conf: Add basic config

 -- James Clarke <jrtc27@debian.org>  Fri, 18 Jan 2019 21:08:40 +0000

kfreebsd-kernel-headers (10.3~7) unstable; urgency=medium

  * Migrate packaging SVN to Git
  * Update my email address in Uploaders
  * Bump Standards-Version to 4.1.5; no change needed
  * Retroactively clean up whitespace in changelog
  * Use architecture.mk instead of dpkg-architecture
  * Use pkg-info.mk instead of dpkg-parsechangelog

 -- Steven Chamberlain <stevenc@debian.org>  Sat, 28 Jul 2018 12:07:26 +0000

kfreebsd-kernel-headers (10.3~6) unstable; urgency=medium

  * Fix crypto and isofs/cd9660 symlinks.
  * Install a 32-bit symlink for the bsm/ directory.
  * Use relative symlinks.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 21 Nov 2017 14:31:53 +0100

kfreebsd-kernel-headers (10.3~4) unstable; urgency=medium

  * Do not install <sys/random.h>. This conflicts with the glibc one and
    doesn't provide anything useful to userland (everything is protected
    with #ifdef _KERNEL #endif).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Nov 2017 17:26:26 +0100

kfreebsd-kernel-headers (10.3~3) unstable; urgency=medium

  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 28 May 2016 11:25:40 +0100

kfreebsd-kernel-headers (10.3~2) experimental; urgency=medium

  * Add sys/net/ieee8023ad_lacp.h, if_vxlan.h, sff8436.h, sff8472.h;
    needed by ifconfig
  * Add sys/sys/efi.h, uuid.h; needed by sysctl
  * Add sys/sys/_timespec.h, _umtx.h, capsicum.h, umtx.h;
    needed by kdump

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 04 Apr 2016 12:56:44 +0100

kfreebsd-kernel-headers (10.3~1) experimental; urgency=medium

  * New upstream version
  * Refresh patches:
    - queue_collision.diff
    - 000_bruno_haible.diff
    - 009_inetutils.diff
    - net_if_ioctls.diff
    - compiler_membar.diff
    - containerof.diff
  * Remove obsolete sys/netinet/in_gif.h, netinet6/in6_gif.h

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 03:06:35 +0000

kfreebsd-kernel-headers (10.1~8) unstable; urgency=low

  * Upload to unstable.
  * Fix typos in debian/rules introduced since 10.1~5.
    (Thanks, Helmut Grohne).
  * Fix test/Makefile to look in multiarch include dirs
  * Add new test for vm/vm.h.
  * Include kernel types to make vm/vm.h usable. (Closes: #807611)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 06 Oct 2015 17:25:46 +0100

kfreebsd-kernel-headers (10.1~7) experimental; urgency=medium

  * Limit libc0.1-dev dependency to !nocheck profile.  (Thanks, Helmut
    Grohne).  (Closes: #796903)
  * Note new dependency on dh-exec;  minimum versions of debhelper and
    dpkg-dev for Build-Profiles.
  * Install compatibility symlinks on kfreebsd-amd64 for -m32 multilib.
    (Closes: #797324)
  * Bump Standards-Version to 3.9.6;  no change needed.

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 25 Aug 2015 17:12:43 +0100

kfreebsd-kernel-headers (10.1~6) experimental; urgency=medium

  * Use multiarch triplet for install paths.
  * Raise debhelper dependency version and compat level to 9.
  * Implement DEB_BUILD_OPTIONS=nocheck to allow skipping tests.

 -- Steven Chamberlain <steven@pyro.eu.org>  Thu, 20 Aug 2015 23:45:34 +0100
