=== debian/control ===
--- 
+++ 
@@ -6,15 +6,17 @@
  Aurelien Jarno <aurel32@debian.org>,
  Robert Millan <rmh@debian.org>,
  Christoph Egger <christoph@debian.org>,
- Steven Chamberlain <steven@pyro.eu.org>,
+ Steven Chamberlain <stevenc@debian.org>,
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9.20141010~),
+ dpkg-dev (>= 1.17.14~),
+ dh-exec,
  quilt,
- kfreebsd-source-10.1 (>> 10.1~svn273304~),
- libc0.1-dev (>= 2.18-2~),
-Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/kfreebsd-kernel-headers/
-Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/kfreebsd-kernel-headers/
-Standards-Version: 3.9.4
+ kfreebsd-source-10.3,
+ libc0.1-dev (>= 2.18-2~) <!nocheck>,
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/bsd-team/kfreebsd-kernel-headers
+Vcs-Git: https://salsa.debian.org/bsd-team/kfreebsd-kernel-headers.git
 
 Package: kfreebsd-kernel-headers
 Architecture: kfreebsd-any
