=== debian/rules ===
--- 
+++ 
@@ -5,19 +5,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-
-full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
-version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
-major           := $(shell echo $(version) | sed -e 's/\..*//g')
-
-ifeq ($(DEB_HOST_ARCH_CPU), mipsel)
-kfreebsd_cpu	:= mips
-else
+include /usr/share/dpkg/architecture.mk
 kfreebsd_cpu	:= $(DEB_HOST_ARCH_CPU)
-endif
 
 HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-kernel-headers
+
+include /usr/share/dpkg/pkg-info.mk
+version		:= $(shell echo $(DEB_VERSION) | sed -e 's/[~+-].*//g')
+major		:= $(shell echo $(version) | sed -e 's/\..*//g')
+
 SRC_TAR		:= /usr/src/kfreebsd-source-$(version).tar.xz
 
 clean:
@@ -114,22 +110,32 @@
 	dh_link
 
 ifneq ($(filter amd64, $(kfreebsd_cpu)),)
-	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include
+	sh debian/generate-asm.sh $(kfreebsd_cpu) $(CURDIR)/sys $(HEADERS_PACKAGE)/usr/include/$(DEB_HOST_MULTIARCH)
 else
-	mkdir -p $(HEADERS_PACKAGE)/usr/include/machine
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/$(DEB_HOST_MULTIARCH)/machine
 	cd $(CURDIR)/sys/$(kfreebsd_cpu)/include \
-		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/machine \;
+		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/$(DEB_HOST_MULTIARCH)/machine \;
 endif
 
 ifneq ($(filter i386 amd64, $(kfreebsd_cpu)),)
 	# Install "x86" directory (only on i386 and amd64).
-	mkdir -p $(HEADERS_PACKAGE)/usr/include/x86
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/$(DEB_HOST_MULTIARCH)/x86
 	cd $(CURDIR)/sys/x86/include \
-		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/x86 \;
+		&& find . -type f -name "*.h" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/include/$(DEB_HOST_MULTIARCH)/x86 \;
 endif
 
+ifneq ($(filter amd64, $(kfreebsd_cpu)),)
+	# Install compatibility symlinks for -m32 multilib (only on amd64).
+	mkdir -p $(HEADERS_PACKAGE)/usr/include/i386-kfreebsd-gnu
+	for i in `ls $(HEADERS_PACKAGE)/usr/include/$(DEB_HOST_MULTIARCH) | grep -v machine-amd64`; do \
+		ln -sf ../$(DEB_HOST_MULTIARCH)/$$i $(HEADERS_PACKAGE)/usr/include/i386-kfreebsd-gnu/ ; \
+	done
+endif
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# headers must be tested after they're installed
 	$(MAKE) -C test
+endif
 
 install: install-indep install-arch
